package order_after_reseller_batch

import (
	"ai_scheduler/internal/config"
	"context"

	"github.com/cloudwego/eino/components/tool"
	toolutils "github.com/cloudwego/eino/components/tool/utils"
)

type Args struct {
	OrderNumber []string `json:"orderNumber"`
}

func NewInvokable(cfg config.ToolConfig) tool.InvokableTool {
	run := func(ctx context.Context, in Args) (*OrderAfterSaleResellerBatchResponse, error) {
		return Call(ctx, cfg, in.OrderNumber)
	}
	t, err := toolutils.InferTool("zltxOrderAfterSaleResellerBatch", "直连天下下游分销商批充订单售后工具", run)
	if err != nil {
		panic(err)
	}
	return t
}
